% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RcppExports.R
\name{calculateCoxSnellResiduals}
\alias{calculateCoxSnellResiduals}
\title{Calculate Cox-Snell Residuals}
\usage{
calculateCoxSnellResiduals(y, params, family = "gkw")
}
\arguments{
\item{y}{NumericVector of observations.}

\item{params}{NumericMatrix with parameters (columns: alpha, beta, gamma, delta, lambda).}

\item{family}{String specifying the distribution family (default: "gkw").}
}
\value{
NumericVector of Cox-Snell residuals.
}
\description{
Computes Cox-Snell residuals defined as -log(1 - F(y)), where F is the cumulative distribution function.
}
