% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RcppExports.R
\name{calculatePartialResiduals}
\alias{calculatePartialResiduals}
\title{Calculate Partial Residuals}
\usage{
calculatePartialResiduals(y, fitted, X, beta, covariate_idx)
}
\arguments{
\item{y}{NumericVector of observations.}

\item{fitted}{NumericVector of fitted values.}

\item{X}{NumericMatrix of design matrix values.}

\item{beta}{NumericVector of regression coefficients.}

\item{covariate_idx}{Integer index for the selected covariate (0-indexed).}
}
\value{
NumericVector of partial residuals.
}
\description{
Computes partial residuals for a selected covariate by adding the product of the regression coefficient and
the corresponding design matrix value to the raw residual.
}
